; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Load a modified version of the event script
modify:
{
	match:
	{
		"targetname" "store_alarm_relay"
	}
	delete:
	{
		"OnTrigger" "directorBeginScriptC1_gunshop_onslaught0.1-1"
	}
	insert:
	{
		"OnTrigger" "director,BeginScript,c1_gunshop_onslaught_rework,0.1,-1"
	}
}
; --- Move the cola into a new location near the middle of the store
modify:
{
	match:
	{
		"targetname" "cola"
	}
	replace:
	{
		"origin" "-7337 -2022 431.5"
		"angles" "0 0 0"
	}
	insert:
	{
		"OnPlayerPickup" "cola_cooler,StopGlowing,,0,-1"
	}
}
{
	match:
	{
		"targetname" "cola_template"
	}
	insert:
	{
		"OnEntitySpawned" "cola_cooler,StartGlowing,,0,-1"
	}
}
add:
{
	"classname" "prop_dynamic"
	"origin" "-7324 -2022 392"
	"angles" "0 180 0"
	"model" "models/props_equipment/cooler.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "cola_cooler"
	"glowrangemin" "200"
}
; --- Add some fake lighting to highlight it to the player
{
	"classname" "prop_dynamic"
	"origin" "-7422 -2052 542"
	"angles" "0 90 0"
	"model" "models/props/cs_office/light_shop.mdl"
	"solid" "0"
	"disableshadows" "1"
	"skin" "0"
}
{
	"classname" "beam_spotlight"
	"angles" "90 0 0"
	"origin" "-7422 -2052 542"
	"spawnflags" "3"
	"HDRColorScale" ".35"
	"rendercolor" "219 238 233 1"
	"renderamt" "255"
	"spotlightwidth" "50"
	"spotlightlength" "200"
	"disablereceiveshadows" "1"
	"rendermode" "0"
}
{
	"classname" "env_sprite"
	"origin" "-7423 -2052 536"
	"spawnflags" "1"
	"scale" "1.5"
	"rendermode" "9"
	"renderfx" "0"
	"rendercolor" "219 238 233"
	"renderamt" "125"
	"model" "sprites/glow06.vmt"
	"HDRColorScale" ".7"
	"GlowProxySize" "8"
}
; --- Enable the 2 alarm cars after the event
modify:
{
	match:
	{
		"targetname" "branch_caralarm-car1_alarm"
	}
	replace:
	{
		"OnTrue" "relay_caralarm_on-car1_alarmTrigger0-1"
	}
}
{
	match:
	{
		"targetname" "branch_caralarm-car2_alarm"
	}
	replace:
	{
		"OnTrue" "relay_caralarm_on-car2_alarmTrigger0-1"
	}
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Fix wall-mounted weapons in the gun store falling off the shelves and failing to spawn due to director
modify:
{
	match:
	{
		"model" "models/w_models/weapons/w_rifle_m16a2.mdl"
	}
	replace:
	{
		"spawnflags" "22"
	}
	insert:
	{
		"spawn_without_director" "1"
	}
}
{
	match:
	{
		"model" "models/w_models/weapons/w_autoshot_m4super.mdl"
	}
	replace:
	{
		"spawnflags" "22"
	}
	insert:
	{
		"spawn_without_director" "1"
	}
}
{
	match:
	{
		"model" "models/w_models/weapons/w_sniper_mini14.mdl"
	}
	replace:
	{
		"spawnflags" "22"
	}
	insert:
	{
		"spawn_without_director" "1"
	}
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
; --- Remove the police car at the bottom of the first ramp
filter:
{
	"targetname" "InstanceAuto21-police_car"
}
{
	"targetname" "InstanceAuto21-police_car_glass"
}
; --- Move the police car at the one way drop further down the street
modify:
{
	match:
	{
		"targetname" "InstanceAuto25-police_car"
	}
	replace:
	{
		"origin" "-4092 1669 86"
	}
}
{
	match:
	{
		"targetname" "InstanceAuto25-police_car_glass"
	}
	replace:
	{
		"origin" "-4092 1669 86"
	}
}


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from standing on the truck at the start
{
	"classname" "env_physics_blocker"
	"origin" "1315 2486 1310"
	"mins" "-43 -44 -738"
	"maxs" "43 44 738"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1160 2486 1388"
	"mins" "-112 -57 -660.5"
	"maxs" "112 57 660.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing up the generator at the start
{
	"classname" "env_physics_blocker"
	"origin" "1533 2591 713"
	"mins" "-4 -5 -143"
	"maxs" "4 5 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the edge of the tent by the generator - Removed until angled clip bug is fixed (#34)
;{
;	"classname" "env_physics_blocker"
;	"origin" "1610 2682 1073"
;	"angles" "0 353.5 0"
;	"mins" "-3 -190.5 -399.5"
;	"maxs" "3 190.5 399.5"
;	"boxmins" "-3 -190.5 -399.5"
;	"boxmaxs" "3 190.5 399.5"
;	"initialstate" "1"
;	"BlockType" "1"
;}
; --- Block survivors from standing on the hedges on the first road
{
	"classname" "env_physics_blocker"
	"origin" "2656 3296 1376"
	"mins" "-416 -32 -672"
	"maxs" "416 32 672"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2944 2752 1249"
	"mins" "-387.5 -24 -799.5"
	"maxs" "387.5 24 799.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "720 2752 1249"
	"mins" "-263.5 -24 -799.5"
	"maxs" "263.5 24 799.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-19 2752 1222"
	"mins" "-257.5 -24 -826"
	"maxs" "257.5 24 826"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-740 2752 1180"
	"mins" "-126.5 -24 -868"
	"maxs" "126.5 24 868"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the truck on the underpass
{
	"classname" "env_physics_blocker"
	"origin" "-2224 1155 737"
	"mins" "-44 -43 -738"
	"maxs" "44 43 738"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2224 1000 815"
	"mins" "-57 -112 -660.5"
	"maxs" "57 112 660.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the electrical box after the green dumpster drop
{
	"classname" "env_physics_blocker"
	"origin" "-3296 2287 848"
	"mins" "-48 -17 -624"
	"maxs" "48 17 624"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the hedge before the walkway
{
	"classname" "env_physics_blocker"
	"origin" "-4821 1727 1003"
	"mins" "-124 -17 -469.5"
	"maxs" "124 17 469.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing up the generators before the walkway
{
	"classname" "env_physics_blocker"
	"origin" "-4996 1632 483"
	"mins" "-4.5 -7 -98"
	"maxs" "4.5 7 98"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the highway sign after the one way drop
{
	"classname" "env_physics_blocker"
	"origin" "-4170 1288 927"
	"angles" "0 255 0"
	"mins" "-25 -140.5 -545"
	"maxs" "25 140.5 545"
	"boxmins" "-25 -140.5 -545"
	"boxmaxs" "25 140.5 545"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the fence on the street before the walkway
{
	"classname" "env_physics_blocker"
	"origin" "-5580 368 976"
	"mins" "-20 -56 -496"
	"maxs" "20 56 496"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Remove traffic barrel that can be used to skip the chokepoint before the walkway
filter:
{
	"hammerid" "1719887"
}
add:
; --- Block standing behind/on the fence on the first set of walkway stairs
{
	"classname" "env_physics_blocker"
	"origin" "-5331 821 724"
	"mins" "-131 -5 -108"
	"maxs" "131 5 108"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing up the 2 generators at the end
{
	"classname" "env_physics_blocker"
	"origin" "-8683 -3991 525"
	"mins" "-6.5 -7 -143"
	"maxs" "6.5 7 143"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7163 -4158 528"
	"mins" "-7 -5.5 -143"
	"maxs" "7 5.5 143"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Block players getting out of the map above the start saferoom
{
	"classname" "env_physics_blocker"
	"origin" "1792 7168 2096"
	"mins" "-2304 -1024 -208"
	"maxs" "2304 1024 208"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block infected going too far out of bounds at the back of the underpass street
{
	"classname" "env_physics_blocker"
	"origin" "-896 6176 896"
	"mins" "-896 -32 -576"
	"maxs" "896 32 576"
	"initialstate" "1"
	"BlockType" "2"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block getting stuck on top of the door barricade in the saferoom.
{
	"classname" "env_physics_blocker"
	"origin" "2224 5255 512"
	"mins" "-16 -57.5 -64.5"
	"maxs" "16 57.5 64.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Prevent getting stuck on top of the photocopier in the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "2543 5199 477"
	"mins" "-23 -17 -30"
	"maxs" "23 17 30"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Prevent getting stuck on top of the photocopier in the Save 4 Less store
{
	"classname" "env_physics_blocker"
	"origin" "-6673 -2707 421"
	"mins" "-17 -24 -30"
	"maxs" "17 24 30"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Make trash bags solid at the start
{
	"classname" "prop_dynamic"
	"origin" "1976 4440 470"
	"angles" "3.99024 29.758 -6.93945"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "1256 2554 578"
	"angles" "0.0 83.5 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "1700 2880 578"
	"angles" "0.0 83.5 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "1652 2510 582"
	"angles" "0.0 80 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
; --- Make trash bags solid at the end
{
	"classname" "prop_dynamic"
	"origin" "-8384 -1818 391"
	"angles" "0.0 340 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "-9086 -1992 391"
	"angles" "0.0 88 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "-8012 -3600 395"
	"angles" "0.0 83.5 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "-8088 -3556 391"
	"angles" "0.0 173.5 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "-7760 -4560 391"
	"angles" "0.0 87.5 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
{
	"classname" "prop_dynamic"
	"origin" "-7294 -4566 391"
	"angles" "0.0 87.5 0.0"
	"model" "models/props_junk/trashcluster01b.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
; --- Highway sign by the CEDA van drop to show where the skybox blocks movement
{
	"classname" "prop_dynamic"
	"origin" "-4105 1996 383"
	"angles" "0 270 0"
	"model" "models/props_highway/highway_sign_post002.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4105 2014 678"
	"angles" "0 90 0"
	"model" "models/props_highway/highway_sign001b.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Allow ghost SI to pass through the Save 4 Less doors before they are open
modify:
{
	match:
	{
		"targetname" "store_door01_dynamic"
		"classname" "prop_dynamic"
	}
	insert:
	{
		"solid" "0"
	}
}
modify:
{
	match:
	{
		"targetname" "store_door02_dynamic"
		"classname" "prop_dynamic"
	}
	insert:
	{
		"solid" "0"
	}
}
add:
; --- Improved clipping on car stops in the event area
{
	"classname" "env_physics_blocker"
	"origin" "-6266 -1171 407"
	"mins" "-8 -49.5 -4.6"
	"maxs" "8 49.5 4.6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6268 -1354 397"
	"mins" "-6 -50 -4.6"
	"maxs" "6 50 4.6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6266 -1682 388"
	"mins" "-5.5 -49.5 -4.6"
	"maxs" "5.5 49.5 4.6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6263 -1828 397"
	"mins" "-5 -49.5 -4.6"
	"maxs" "5 49.5 4.6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6055 -2098 423"
	"mins" "-4.5 -49.5 -4"
	"maxs" "4.5 49.5 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6055 -2232 427"
	"mins" "-4.5 -49.5 -5.5"
	"maxs" "4.5 49.5 5.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6056 -2376 431"
	"mins" "-5 -49.5 -3"
	"maxs" "5 49.5 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6053 -2522 429"
	"mins" "-5 -49.5 -3"
	"maxs" "5 49.5 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6058 -2654 425"
	"mins" "-5 -49.5 -5"
	"maxs" "5 49.5 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6057 -2789 420"
	"mins" "-5 -49.5 -4"
	"maxs" "5 49.5 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6055 -2932 407"
	"angles" "0 0 8"
	"mins" "-5 -49 -4"
	"maxs" "5 49 4"
	"boxmins" "-5 -49 -4"
	"boxmaxs" "5 49 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block LOS under van by the stores
{
	"classname" "logic_auto"
	"OnMapSpawn" "los_save4less_van,AddOutput,mins -110 -1 -16,0,-1"
	"OnMapSpawn" "los_save4less_van,AddOutput,maxs 110 1 16,0,-1"
	"OnMapSpawn" "los_save4less_van,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-6356 -1539 396"
	"targetname" "los_save4less_van"
}
; --- Remove traffic barrel in the event area that block the police car
filter:
{
	"hammerid" "941213"
}
{
	"hammerid" "941217"
}
; --- Make traffic barrel by the exploding tanker movable
modify:
{
	match:
	{
		"hammerid" "841232"
	}
	replace:
	{
		"spawnflags" "260"
	}
}
; --- Fix a spot where cola can be thrown out of bounds
add:
{
	"classname" "script_clip_vphysics"
	"origin" "-5304 -2192 1108"
	"angles" "0 0 0"
	"extent" "24 16 364"
	"filtername" "cola_filter"
	"StartDisabled" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Street light in the back area of the first road
{
	"classname" "prop_dynamic"
	"origin" "2899 3048 516"
	"angles" "0 90 0"
	"model" "models/props_urban/streetlight001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Hedge to jump on a highway sign at the back of the underpass
{
	"classname" "prop_dynamic"
	"origin" "-940 4800 553"
	"angles" "0 0 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fence cover by dumpster drop
{
	"classname" "prop_dynamic"
	"origin" "-2367 1674 0"
	"angles" "0 338 0"
	"model" "models/props_urban/fence_cover001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Plywood by the dumpster drop to make spawning slightly easier
{
	"classname" "prop_dynamic"
	"origin" "-2368 2637 0"
	"angles" "0 0 0"
	"model" "models/props_industrial/plywood_leaning.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Boxes to jump on the platform after the one way drop
{
	"classname" "prop_dynamic"
	"origin" "-4702 1568 384"
	"angles" "0 225 0"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fences on platform up the stairs after the one way drop
{
	"classname" "prop_dynamic"
	"origin" "-4510 1444 448"
	"angles" "0 345 0"
	"model" "models/props_urban/fence003_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4502 1474 448"
	"angles" "0 345 0"
	"model" "models/props_urban/fence_post003.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4470 1597 448"
	"angles" "0 345 0"
	"model" "models/props_urban/fence003_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4438 1717 448"
	"angles" "0 345 0"
	"model" "models/props_urban/fence003_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4422 1810 448"
	"angles" "0 0 0"
	"model" "models/props_urban/fence003_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on fences
{
	"classname" "env_physics_blocker"
	"origin" "-4452 1663 471"
	"angles" "0 -14 0"
	"mins" "-4 -134 -23"
	"maxs" "4 134 23"
	"boxmins" "-4 -134 -23"
	"boxmaxs" "4 134 23"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4508 1441 471"
	"angles" "0 -14 0"
	"mins" "-4 -34 -23"
	"maxs" "4 34 23"
	"boxmins" "-4 -34 -23"
	"boxmaxs" "4 34 23"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Boxes on the walkway
{
	"classname" "prop_dynamic"
	"origin" "-5165 148 672"
	"angles" "0 225 0"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Billboard by the walkway
{
	"classname" "prop_dynamic"
	"origin" "-4825 40 386"
	"angles" "0 315 0"
	"model" "models/props_signs/raisedbillboard.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "billboard_lighting"
}
; --- Fix lighting origin
{
	"classname" "info_target"
	"origin" "-4825 -408 386"
	"targetname" "billboard_lighting"
}
; --- Crate as an alternative to climbing the stairs at the gun store exit
{
	"classname" "prop_dynamic"
	"origin" "-5915 -2667 442"
	"angles" "0 90 -8.5"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Crashed bus after the event
{
	"classname" "prop_dynamic"
	"origin" "-7980 -496 384"
	"angles" "0 270 0"
	"model" "models/props_vehicles/bus01_2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7980 -499 928"
	"mins" "-47 -236 -544"
	"maxs" "47 236 544"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block LOS under bus
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_crashed_bus,AddOutput,mins -1 -220 -12,0,-1"
	"OnMapSpawn" "losfix_crashed_bus,AddOutput,maxs 1 220 12,0,-1"
	"OnMapSpawn" "losfix_crashed_bus,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-7980 -500 394"
	"targetname" "losfix_crashed_bus"
}
; --- Concrete blocks after the event
{
	"classname" "prop_dynamic"
	"origin" "-7723 -836 384"
	"angles" "0 30 0"
	"model" "models/props_fortifications/concrete_block001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-7723 -836 424"
	"angles" "0 30 0"
	"model" "models/props_fortifications/concrete_block001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-7723 -836 464"
	"angles" "0 30 0"
	"model" "models/props_fortifications/concrete_block001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Additional bus by the first tent after the event
{
	"classname" "prop_dynamic"
	"origin" "-8664 -1376 384"
	"angles" "0 264.5 0"
	"model" "models/props_vehicles/bus01_2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under bus
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_extra_bus,AddOutput,mins -1 -205 -10,0,-1"
	"OnMapSpawn" "losfix_extra_bus,AddOutput,maxs 1 205 10,0,-1"
	"OnMapSpawn" "losfix_extra_bus,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-8666 -1397 392"
	"targetname" "losfix_extra_bus"
}
; --- Hedges in the middle of the parking lot after the event
{
	"classname" "prop_dynamic"
	"origin" "-8573 -2336 388"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-8573 -2528 388"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-8573 -3104 388"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-8573 -3296 388"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Bus by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "-7718 -4120 384"
	"angles" "0 293.5 0"
	"model" "models/props_vehicles/bus01_2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under van
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_bus_endsaferoom_a,AddOutput,mins -1 -95 -10,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_a,AddOutput,maxs 1 95 10,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_b,AddOutput,mins -48 -1 -10,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_b,AddOutput,maxs 48 1 10,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_b,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_c,AddOutput,mins -1 -114 -10,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_c,AddOutput,maxs 1 114 10,0,-1"
	"OnMapSpawn" "losfix_bus_endsaferoom_c,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-7658 -4249 392"
	"targetname" "losfix_bus_endsaferoom_a"
}
{
	"classname" "func_brush"
	"origin" "-7705 -4153 392"
	"targetname" "losfix_bus_endsaferoom_b"
}
{
	"classname" "func_brush"
	"origin" "-7752 -4038 392"
	"targetname" "losfix_bus_endsaferoom_c"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================
; --- Fade out event alarm sound after a few seconds
modify:
{
	match:
	{
		"targetname" "store_alarm_relay"
	}
	insert:
	{
		"OnTrigger" "store_alarm_generic,FadeOut,5,3,-1"
		"OnTrigger" "store_alarm_generic,Kill,,10,-1"
	}
}

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove TLS entities after loading
add:
{
	"classname" "logic_auto"
	; --- At the left end of the street by the starting saferoom
	"OnMapSpawn" "anv_mapfixes_yeswaycorner_clip,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswaycorner_wrongway,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswaycorner_wall,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_ladder_yeswaycornerouter_cloned_save4lessright,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_ladder_yeswaycornerinner_cloned_roundthehedge,Kill,,30,-1"
	; --- At the back of the underpass street by the white van
	"OnMapSpawn" "anv_mapfixes_clipgap_deadendfence,Kill,,30,-1"
	; --- Area above the underpass, by the billboard and bridge
	"OnMapSpawn" "anv_mapfixes_yeswayturnpike_clipa,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswayturnpike_clipb,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswayturnpike_wrongwaya,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswayturnpike_wrongwayb,Kill,,30,-1"
	; --- Roof above the CEDA van drop
	"OnMapSpawn" "anv_mapfixes_yeswaychoke_clip,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswaychoke_wrongwaya,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswaychoke_wrongwayb,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yeswaychoke_wrongwayc,Kill,,30,-1"
	; ---- On the roof right of the end saferoom
	"OnMapSpawn" "anv_mapfixes_sneaky_hunter,Kill,,30,-1"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================
; --- Remove the ambush trigger before the walkway that makes the director only spawn chargers
; --- With the removal of the trigger that sets the director to it's pre-event state after the walkway, this remains on until the event starts
filter:
{
	"hammerid" "665506"
}


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladder to get out from behind the barricade on the first road
{
	"classname" "func_simpleladder"
	"origin" "1418 4370 -103"
	"angles" "0 270 0"
	"model" "*102"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb up the wall on the first road (TLS replacement)
{
	"classname" "func_simpleladder"
	"origin" "9603 3323 88"
	"angles" "0 0 0"
	"model" "*4"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get over the hedges above the door at the bottom of the ramp
{
	"classname" "func_simpleladder"
	"origin" "565 941 231.5"
	"angles" "0 0 0"
	"model" "*38"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get above the back of the underpass by the white van
{
	"classname" "func_simpleladder"
	"origin" "1 3601 128"
	"angles" "0 0 0"
	"model" "*5"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get over the fence above the back of the underpass by the white van
{
	"classname" "func_simpleladder"
	"origin" "-277 1345 -51.5"
	"angles" "0 0 0"
	"model" "*38"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get out of the out-of-bounds area at the back of the underpass
{
	"classname" "func_simpleladder"
	"origin" "1022 7414 35.5"
	"angles" "0 90 0"
	"model" "*88"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the roof before the CEDA van drop from the left side
{
	"classname" "func_simpleladder"
	"origin" "-1464 -510 132.5"
	"angles" "0 0 0"
	"model" "*88"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb onto the street under the walkway by the buses
{
	"classname" "func_simpleladder"
	"origin" "930 -3 -85"
	"angles" "0 0 0"
	"model" "*73"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb up the fence by the van at the event
{
	"classname" "func_simpleladder"
	"origin" "-205 839 -42"
	"angles" "0 0 0"
	"model" "*59"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get over the bus after the event
{
	"classname" "func_simpleladder"
	"origin" "-1521 2695 -14"
	"angles" "0 0 0"
	"model" "*71"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get over the fence by porta potties after the event
{
	"classname" "func_simpleladder"
	"origin" "-2149 451 0"
	"angles" "0 0 0"
	"model" "*71"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the tent by the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "760.57 -831.97 -27"
	"angles" "0.00 -5.00 0.00"
	"model" "*105"
	"normal.x" "0.99"
	"normal.y" "-0.08"
	"normal.z" "0.00"
	"team" "2"
}

; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                   BLANK HEADER                  ==
; ==                Blank description                ==
; =====================================================